Name:           getfem++
Summary:        Generic and efficient C++ library for finite element methods
Version:        4.2
Release:        %mkrel 5
Url:            http://home.gna.org/getfem/
License:        LGPLv2+
Group:          Development/C++
BuildRequires:	blas-devel
BuildRequires:	boost-devel
BuildRequires:	muparser-devel
BuildRequires:	qhull-devel
BuildRequires:	lapack-devel
BuildRequires:	python-numpy-devel
BuildRequires:	python-devel
Source0:	http://download.gna.org/getfem/stable/getfem-%version.tar.gz
Patch0:		getfem-4.2-fix-str-fmt.patch
Provides:	getfem = %{version}-%{release}

%description
The Getfem++ project focuses on the development of a generic and efficient 
C++ library for finite element methods. The goal is to provide a library 
allowing the computation of any elementary matrix (even for mixed finite 
element methods) on the largest class of methods and elements, and for 
arbitrary dimension (i.e. not only 2D and 3D problems).

%files
%doc README COPYING
%{_bindir}/getfem-config                    
%{_prefix}/getfem_toolbox
%{_includedir}/gmm
%{_includedir}/getfem
%{_includedir}/getfem_boost
%{_libdir}/libgetfem.a

%package -n python-getfem
Group: Development/Python
Summary: Python binding for %{name}
Requires: %{name} = %{version}

%description -n python-getfem
Python binding for %{name}.

%files -n python-getfem
%ifarch x86_64
%dir %py_platsitedir/getfem
%endif
%dir %py_puresitedir/getfem
%py_platsitedir/getfem/_getfem.so
%py_puresitedir/getfem/__init__.*
%py_puresitedir/getfem/getfem.py*

#--------------------------------------------------------------------

%prep
%setup -qn getfem-%{version}
%apply_patches

%build
export CFLAGS="%optflags -fno-strict-aliasing"
%configure2_5x --enable-boost
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.2-5.mga4
+ Revision: 529452
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 4.2-4.mga4
+ Revision: 451859
- br python
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 4.2-3.mga3
+ Revision: 351488
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 333778
- bump rel
- update file list
- update file list
- build shared libs
- add more br
- fix str fmt
- new version 4.2

* Fri May 06 2011 ahmad <ahmad> 4.0.0-4.mga1
+ Revision: 95279
- Revert the deleting of .la files

* Thu May 05 2011 ahmad <ahmad> 4.0.0-3.mga1
+ Revision: 95210
- Don't ship .la files

* Sat Jan 22 2011 ahmad <ahmad> 4.0.0-2.mga1
+ Revision: 33248
- imported package getfem++


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0.0-2mdv2011.0
+ Revision: 605447
- rebuild

* Sat Feb 13 2010 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2010.1
+ Revision: 505336
- New version 4.0.0

* Wed Apr 08 2009 Funda Wang <fwang@mandriva.org> 3.1-1mdv2009.1
+ Revision: 365112
- BR boost
- New version 3.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Fri Apr 18 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.0.3-1mdv2009.0
+ Revision: 195695
- import getfem++


